AbstractXMLEncoder (Axis API)
Keywords: org.apache.axis.components.encoding.AbstractXMLEncoder class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.components.encoding
Class AbstractXMLEncoder

    java.lang.Object
      org.apache.axis.components.encoding.AbstractXMLEncoder

All Implemented Interfaces:
  XMLEncoder

Direct Known Subclasses:
  org.apache.axis.components.encoding.UTF8Encoder

public abstract class AbstractXMLEncoder
extends java.lang.Object
implements XMLEncoder

Abstract class for XML String encoders. The new encoding mechanism fixes the following bugs/issues: http://nagoya.apache.org/bugzilla/show_bug.cgi?id=15133 http://nagoya.apache.org/bugzilla/show_bug.cgi?id=15494 http://nagoya.apache.org/bugzilla/show_bug.cgi?id=19327

Author:
  Jens Schumann, Davanum Srinivas

Field Summary
`protected static java.lang.String` | `AMP`
`protected static java.lang.String` | `CR`
`protected static java.lang.String` | `GREATER`
`protected static java.lang.String` | `LESS`
`protected static java.lang.String` | `LF`
`protected static java.lang.String` | `QUOTE`
`protected static java.lang.String` | `TAB`

Constructor Summary
`AbstractXMLEncoder()`

Method Summary
`java.lang.String` | `encode(java.lang.String xmlString)` Encode a string
`abstract java.lang.String` | `getEncoding()` gets the encoding supported by this encoder
`protected java.lang.StringBuffer` | `getInitialByteArray(java.lang.String aXmlString, int pos)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.axis.components.encoding.XMLEncoder
`writeEncoded`

Field Detail

### AMP

    protected static final java.lang.String AMP

See Also:
  Constant Field Values

### QUOTE

    protected static final java.lang.String QUOTE

See Also:
  Constant Field Values

### LESS

    protected static final java.lang.String LESS

See Also:
  Constant Field Values

### GREATER

    protected static final java.lang.String GREATER

See Also:
  Constant Field Values

### LF

    protected static final java.lang.String LF

See Also:
  Constant Field Values

### CR

    protected static final java.lang.String CR

See Also:
  Constant Field Values

### TAB

    protected static final java.lang.String TAB

See Also:
  Constant Field Values

Constructor Detail

### AbstractXMLEncoder

    public AbstractXMLEncoder()

Method Detail

### getEncoding

    public abstract java.lang.String getEncoding()

  gets the encoding supported by this encoder

  Specified by:
    `getEncoding` in interface `XMLEncoder`
  Returns:
    string

### encode

    public java.lang.String encode(java.lang.String xmlString)

  Encode a string

  Specified by:
    `encode` in interface `XMLEncoder`
  Parameters:
    `xmlString` - string to be encoded
  Returns:
    encoded string

### getInitialByteArray

    protected java.lang.StringBuffer getInitialByteArray(java.lang.String aXmlString,
                                                         int pos)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.